Command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class Command

    java.lang.Object
      network.Command

public class Command
extends java.lang.Object

Command Klasse Roboter Kommando, das gleich aufgebaut ist wie PCommands, also eine Command ID u. die zugehörigen Parameter enthält

Constructor Summary
`Command()` Default Konstruktor
`Command(int id)` Konstruktor mit der ID zur Definition des Commandos
`Command(int id, float f1, float f2, float p1, float p2, float p3, java.lang.String sparam)` Konstruktor zum setzen aller Parameter d.h. wenn ein Parameter nicht verwendet wird, einfach 0 übergeben
`Command(int id, int l, float f)` Konstruktor mit ID, einem int- u. einem float-Wert
`Command(int id, int l, java.lang.String sparam)` Konstruktor mit ID, einem int- u. einem float-Wert

Method Summary
`int` | `getCommandID()` GET - Methoden
`float` | `getfParam(int i)`
`int` | `getiParam()`
`char[]` | `getsParam()`
`void` | `setCommandID(int i)` SET - Methoden
`void` | `setfParam(float f, int i)`
`void` | `setiParam(int l)`
`void` | `setsParam(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Command

    public Command()

  Default Konstruktor

### Command

    public Command(int id)

  Konstruktor mit der ID zur Definition des Commandos

Parameters:
  `id` - gibt die Art des Commandos an

### Command

    public Command(int id,
                   int l,
                   float f)

  Konstruktor mit ID, einem int- u. einem float-Wert

Parameters:
  `id` - gibt die Art des Commandos an
  `l` - int Parameter
  `f` - float Parameter

### Command

    public Command(int id,
                   int l,
                   java.lang.String sparam)

  Konstruktor mit ID, einem int- u. einem float-Wert

Parameters:
  `id` - gibt die Art des Commandos an
  `l` - int Parameter

### Command

    public Command(int id,
                   float f1,
                   float f2,
                   float p1,
                   float p2,
                   float p3,
                   java.lang.String sparam)

  Konstruktor zum setzen aller Parameter d.h. wenn ein Parameter nicht verwendet wird, einfach 0 übergeben

Parameters:
  `id` - Definition des Kommandos
  `f1` - float Param
  `f2` - float Param
  `p1` - float Param
  `p2` - float Param
  `p3` - float Param
  `sparam` - zum setzen des Strings

Method Detail

### getCommandID

    public int getCommandID()

  GET - Methoden

### getsParam

    public char[] getsParam()

### getiParam

    public int getiParam()

### getfParam

    public float getfParam(int i)

### setCommandID

    public void setCommandID(int i)

  SET - Methoden

### setsParam

    public void setsParam(java.lang.String s)

### setiParam

    public void setiParam(int l)

### setfParam

    public void setfParam(float f,
                          int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD